Page MenuHomePhabricator

Create monitoring of allocators
Closed, ResolvedPublic

Description

Since allocators is a limited resource in Blazegraph, we should monitor them so that we know anything is wrong before things start breaking. With this in mind, we should create a monitoring measure for number of free allocators. We can call status?dumpJournal on Blazegraph, parse the response, sum up all used allocators and see how much is left from 256k available.

Event Timeline

Smalyshev triaged this task as Medium priority.Jan 10 2019, 4:47 AM
Smalyshev created this task.
Smalyshev removed a subscriber: Stashbot.
Addshore moved this task from incoming to monitoring on the Wikidata board.Jan 11 2019, 10:06 AM

Change 485135 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/puppet@production] Add allocator metrics export for Blazegraph

https://gerrit.wikimedia.org/r/485135

Change 485135 merged by Gehel:
[operations/puppet@production] Add allocator metrics export for Blazegraph

https://gerrit.wikimedia.org/r/485135

Change 486356 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] wdqs: add icinga check of free blazegraph allocators

https://gerrit.wikimedia.org/r/486356

Change 486356 merged by Gehel:
[operations/puppet@production] wdqs: add icinga check of free blazegraph allocators

https://gerrit.wikimedia.org/r/486356

Smalyshev closed this task as Resolved.Jan 24 2019, 8:02 PM
Smalyshev claimed this task.